Everything that happened in one room, rolled up
curl --request GET \
--url https://{host}/api/v1/decision-rooms/{id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/v1/decision-rooms/{id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/v1/decision-rooms/{id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"room": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "open",
"owner": {
"id": 42,
"name": "<string>",
"email": "jsmith@example.com"
},
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"slug": "<string>",
"primaryContactEmail": "jsmith@example.com",
"expectedCloseDate": "2023-12-25",
"dealValueCents": 123,
"sourceCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closedAt": "2023-11-07T05:31:56Z"
},
"engagementScore": 50,
"totals": {
"events": 123,
"engagedPeople": 123,
"silentPeople": 123,
"lastActivityAt": "2023-11-07T05:31:56Z",
"trailerViews": 123,
"watchSeconds": 123,
"bestCompletionPercent": 123,
"docsOpened": 123
},
"stakeholders": [
{
"email": "jsmith@example.com",
"name": "<string>",
"role": "<string>",
"title": "<string>",
"inCommittee": true,
"status": "engaged",
"trailerViews": 123,
"trailerCompletes": 123,
"watchSeconds": 123,
"bestCompletionPercent": 123,
"roomVisits": 123,
"docOpens": 123,
"docsOpened": 123,
"mapCheckoffs": 123,
"comments": 123,
"messages": 123,
"forwards": 123,
"lastActivityAt": "2023-11-07T05:31:56Z"
}
],
"trailers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"kind": "<string>",
"durationSeconds": 123,
"recipients": 123,
"views": 123,
"watchSeconds": 123,
"bestCompletionPercent": 123
}
],
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"category": "pricing",
"uploadedByProspect": true,
"libraryAssetId": "<string>",
"opens": 123,
"uniqueViewers": 123,
"totalSeconds": 123,
"lastViewedAt": "2023-11-07T05:31:56Z",
"viewers": [
{
"distributionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"name": "<string>",
"seconds": 123,
"sessions": 123,
"lastViewedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"actionPlan": {
"total": 123,
"done": 123,
"doneByProspect": 123,
"overdue": 123,
"lastCompletedAt": "2023-11-07T05:31:56Z"
},
"conversation": {
"prospectMessages": 123,
"sellerMessages": 123,
"lastMessageAt": "2023-11-07T05:31:56Z"
},
"esign": {
"status": "sent",
"documents": [
{
"id": "<string>",
"vendor": "<string>",
"envelopeId": "<string>",
"subject": "<string>",
"status": "sent",
"recipientCount": 123,
"sentAt": "2023-11-07T05:31:56Z",
"firstViewedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"declinedAt": "2023-11-07T05:31:56Z"
}
]
}
}
}{
"error": "Not found",
"code": "NOT_FOUND"
}Endpoints
Decision Room metrics
GET
/
decision-rooms
/
{id}
/
metrics
Everything that happened in one room, rolled up
